W3C home > Mailing lists > Public > public-multilingualweb-lt@w3.org > May 2012

Re: XPath Version

From: Jirka Kosek <jirka@kosek.cz>
Date: Tue, 01 May 2012 23:20:19 +0200
Message-ID: <4FA05393.7080708@kosek.cz>
To: Yves Savourel <ysavourel@enlaso.com>
CC: 'Felix Sasaki' <fsasaki@w3.org>, 'Dave Lewis' <dave.lewis@cs.tcd.ie>, public-multilingualweb-lt@w3.org
On 1.5.2012 16:07, Yves Savourel wrote:

> If both versions are incompatible, without a flag indicating which version is used, the processor may be in trouble.

There is its:version attribute. If decide that ITS 2.0 will use XPath
2.0 I don't see any problems here, we will just specify its:version="2.0"

> But I’m not sure where such flag would be set, on each element that uses XPath? At some top-level location (but there are not necessarily a top-level location in ITS)

I don't think that it makes sense to send selection language locely. If
there should be such facility at all then it should be global.
				
				Jirka

-- 
------------------------------------------------------------------
  Jirka Kosek      e-mail: jirka@kosek.cz      http://xmlguru.cz
------------------------------------------------------------------
       Professional XML consulting and training services
  DocBook customization, custom XSLT/XSL-FO document processing
------------------------------------------------------------------
 OASIS DocBook TC member, W3C Invited Expert, ISO JTC1/SC34 member
------------------------------------------------------------------


Received on Tuesday, 1 May 2012 21:20:46 UTC

This archive was generated by hypermail 2.4.0 : Friday, 17 January 2020 16:31:44 UTC